> This page is optimized for agents. Use the linked Markdown pages and llms.txt indexes for related API content.

# Put an KCAccessDevice in pass freely state

> Sets the "pass freely mode" of a KCAccessDevice entity.

- Product: Kc smart home
- Section: Integration - KC Smart Home
- Snapshot: Current
- Method: `PUT`
- Path: `/api/kc_smart_home/access_devices/{id}/pass-freely`

## Path parameters

### `id`

Type: `number`  
Required: yes  

## Query parameters

### `enable`

Type: `boolean`  
Required: no  

### `permanent`

Type: `boolean`  
Required: no  

## Execute with TypeScript

Package: `@recranet/sdk`  

```ts
import { RecranetApiClient } from "@recranet/sdk";

const client = new RecranetApiClient({ apiKey: process.env.RECRANET_API_KEY! });

const result = await client.kcSmartHome.accessDevices.passFreely({
  id: 0,
});
```

## Execute with curl

```bash
curl -X PUT "https://app.recranet.com/api/kc_smart_home/access_devices/$ID/pass-freely" \
    -H "X-Api-Key: $RECRANET_API_KEY"
```

## Responses

### Response `200`

Category: success  

Successful response

#### `application/json`

##### Generated example

```json
[
  {}
]
```

##### Schema

###### KCAccessDevice[]

Type: `KCAccessDevice[]`  

###### KCAccessDevice

Type: `KCAccessDevice`  

### Response `404`

Category: client-error  

Not found

#### `application/json`

##### Example

```json
{
  "statusCode": 404,
  "description": "Not found",
  "errors": [
    "Not found"
  ]
}
```

##### Schema

###### object

Type: `object`  

## Related representations

- [Human documentation](/kc-smart-home/access-devices/methods/pass-freely/)
- [TypeScript Markdown](/kc-smart-home/access-devices/methods/pass-freely.md?lang=typescript)
- [curl Markdown](/kc-smart-home/access-devices/methods/pass-freely.md?lang=curl)
- [site llms.txt](/llms.txt)
- [product llms.txt](/kc-smart-home/llms.txt)
- [snapshot llms.txt](/kc-smart-home/llms.txt)
